%define upstream_name    EBook-Tools
%define upstream_version 0.4.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    E-Book creation, modification, and unpacking
License:    GPLv2+
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/EBook/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Bit::Vector)
BuildRequires: perl(Compress::Zlib)
BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(Date::Manip)
BuildRequires: perl(File::MimeInfo)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TextToHTML)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(Image::Size)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Palm::PDB)
BuildRequires: perl(Palm::Raw)
BuildRequires: perl(String::CRC32)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(Time::Local)
BuildRequires: perl(XML::Twig)
BuildRequires: perl(version)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: shared-mime-info
BuildArch: noarch

Suggests: tidy
Suggests: convlit

%description
This module provides an object interface and a number of related procedures
intended to create or modify documents centered around the International
Digital Publishing Forum (IDPF) standards, currently both OEBPS v1.2 and
OPS/OPF v2.0.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes META.yml README*
%{_bindir}/ebook
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Sat Jul 02 2011 ahmad <ahmad> 0.4.8-1.mga2
+ Revision: 117271
- Suggest tidy and convlit
- imported package perl-EBook-Tools

